Openi DeveloperDeveloper

Create dataset

POST
/v1/datasets

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

dataSourceId*string
Formatuuid
name*string
Length1 <= length
kind*string
Length1 <= length
selection?
Default{}

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/datasets" \  -H "Content-Type: application/json" \  -d '{    "dataSourceId": "2b37f84c-d876-441e-9b27-0c3482a7c574",    "name": "string",    "kind": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "data_source_id": "0e1e9a56-7994-41e2-9003-96f8ebac19a2",  "name": "string",  "kind": "string",  "selection": {},  "created_at": "2019-08-24T14:15:22Z"}